Subject: RE: PIM-SM <--> BGMP interaction

From: [email-masked]
Date: Wed, 11 Apr 2001 15:38:03 -0700

From:  James Huang@MITEL on 04/11/2001 03:38 PM PDT
Dave:

     Here is the quote of Rule 2 of RFC 2715 (section 2),

   Rule 2: The component owning an interface specifies the criteria for
           which packets received on that interface are to be accepted
           or dropped (e.g., whether to perform an RPF check, and what
           scoped boundaries exist on that interface).  Once a packet is
           accepted, however, it is processed according to the
           forwarding rules of all components.

     According to this rule, when a multicast packet is received by the BGMP
component, the following will happen
     (1) BGMP component will check if the packet should be accepted or dropped.
     (2) If the packet is accepted, BGMP component will forward it to all
targets (other than the iif)
     (3) If PIM-SM is one of the target, then PIM-SM will forward it according
to PIM-SM's Data packet forwarding rules (which may include some RPF check.)

     Now, if the PIM-SM data packet forwarding rules for a border router is
exactly the same as specified in section 4.2 of draft-ietf-pim-sm-v2-new-02.txt,
packets will likely be dropped by the PIM-SM component.  Section 4.4 of RFC 2715
does not specify any change for PIM-SM forwarding rules on a border router.

-- James Huang

"Dave Thaler" <[email-masked]> on 04/11/2001 02:45:27 PM

To:   James Huang/USA/Mitel@Mitel, "Dave Thaler"
      <[email-masked]>
cc:   [email-masked], [email-masked], [email-masked], [email-masked],
      [email-masked]

Subject:  RE: PIM-SM <--> BGMP interaction

> Sec 4.2 of the latest PIM-SM draft
> (draft-ietf-pim-sm-v2-new-02.txt) has the
> following section of code:
[...]
> This code does not differentiate packets recieived from a iif
> owned by PIM from
> packets received from a iif owned by BGMP. So unless this
> code is changed
> accordingly, it is likely that packets will be dropped by
> PIM-SM component of a
> PMBR if BGMP is used as the inter-domain routing protocol.

The code you quote assumes that all interfaces are owned by
PIM-SM.  (Hence, it's not just BGMP, it's *any* other protocol
using other interfaces, that the quoted code would have a problem
with.)  The PIM-SM spec only specifies the behavior of
a PIM-SM router, not of a PIM-SM border router.

Hence, RFC 2715 overrides what's in the PIM-SM spec.

-Dave

---

From: Mark Handley <[email-masked]>
Date: Wed, 11 Apr 2001 15:54:02 -0700

>does not specify any change for PIM-SM forwarding rules on a border router.

Currently this seems to have fallen down the cracks between specs.  I
think a PMBR needs to function like a DR for all packets arriving from
inter-domain routing protocols, and treat them as if they arrived from
a directly connected source.

We'll look into what's involved in adding this to the PIM-SM spec.

Cheers,
	Mark